Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Nov 2019, 05:54
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Como instalar puppy 4.3.1?
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Tue 06 Apr 2010, 22:25    Post subject:  Como instalar puppy 4.3.1?  

Hola,

actualmente uso Pentium III, de 300Mhz, 128Ram, 8Gb HardDisk y placa de video sis. Con toda esta tecnologia de punta anda perfecto puppy v2.13.

Pero a la hora de tratar de actualizarme a la puppy 4.3.1 me tira el siguiente error cuando intenta levantar la x.

Quote:
FATAL: could not load /lib/modules/2.6.30.5/modules.dep: no such file or directory.


wtf! Evil or Very Mad


Alguna idea de que puede ser?
Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
goshujinsama


Joined: 31 Mar 2010
Posts: 25
Location: MX

PostPosted: Tue 06 Apr 2010, 23:41    Post subject: hola
Subject description: hola
 

Bueno, por lo que lei, el error que te tira es que no encuentra un archivo indispensable para el funcionamiento tu actualizacion, bueno, tambien creo que deberias de ser mas especifico, es decir te bajaste el live cd, o lo estas tratando de actualizar con un solo archivo o que es lo que hiciste.
Back to top
View user's profile Send private message MSN Messenger 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Tue 06 Apr 2010, 23:54    Post subject: sera muy vieja mi pc para esta version?  

Hola, baje la iso, verifique el md5sum y es correcto.

al intentar iniciar la x me sale eso.
todo en modo live-cd, ya que pretendo instalarla una vez que me deje iniciar, por que no conozco otro metodo de actualizacion.

mi idea es tener pidgin.
y en la version que ando no puedo.

me baje pup-430-k2.6.21.7.iso por las dudas por que andube en el irc y me dijeron que las ultimas no son para pc viejas.

gracias por responder,
Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
autogestion

Joined: 09 Dec 2009
Posts: 187
Location: Barcelona, España

PostPosted: Wed 07 Apr 2010, 09:55    Post subject:  

Hola mama21mama.

Existen versiones de puppy 431 con núcleos antiguos.
La puppy 431-k2.6.25.16:
ftp://ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1/special-puppies/pup-431-k2.6.25.16-intel_modems.iso
La puppy 431-k2.6.21.17:
ftp://ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1/special-puppies/pup-431-k2.6.21.7-scsi-intel_modems.iso

Y creo que hay más versiones especiales de la última puppy, es cuestión de indagar.

¡Saludos!
Back to top
View user's profile Send private message 
renuvio

Joined: 16 Jul 2008
Posts: 29

PostPosted: Wed 07 Apr 2010, 10:09    Post subject:  

Si intentas instalarlo en el equipo, podrías probar con una instalación "frugal", para lo que sólo tendrías que copiar los archivos initrd.gz, pup-431.sfs y vmlinuz en tu disco duro, y hacer una entrada ad hoc en GRUB (si es que lo tienes instalado).

Por otra parte y sólo por mera curiosidad:

¿Tienes una partición swap en tu equipo? Te hará falta posiblemente, para un mejor funcionamiento.
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 07 Apr 2010, 10:50    Post subject:  

renuvio wrote:
Si intentas instalarlo en el equipo, podrías probar con una instalación "frugal", para lo que sólo tendrías que copiar los archivos initrd.gz, pup-431.sfs y vmlinuz en tu disco duro, y hacer una entrada ad hoc en GRUB (si es que lo tienes instalado).

Por otra parte y sólo por mera curiosidad:

¿Tienes una partición swap en tu equipo? Te hará falta posiblemente, para un mejor funcionamiento.


Tengo instalado puppy v2.13 (nicolinux) me gusto esta version por que esta todo en español....pero, la paqueteria esta algo antigua.

Si tengo swap; eso de ¨frugal¨ podria upgradiar 2.13 hasta llegar a la 4.3.1 sin que se dañe la 2.13?

Saludos
Gracias a todos por responder.
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
renuvio

Joined: 16 Jul 2008
Posts: 29

PostPosted: Wed 07 Apr 2010, 11:11    Post subject:  

En sí, puedes poner los archivos que te menciono dentro de una carpeta, llamada digamos "puppy431", se hace la entrada correspondiente en GRUB., por ejemplo:
Code:

# (3) Puppy Linux
title Puppy Linux 4.3.1 Frugal
rootnoverify (hd0,6)
kernel /puppy431/vmlinuz pmedia=atahd
initrd /puppy431/initrd.gz

es como yo tengo en mi archivo menu.lst para ejecutar Puppy Linux 4.31 de manera frugal, aunque es de esperarse que en tu caso difiera el valor que yo tengo como "(hd0,6)".

Dado ese caso, no habría interferencia entre Puppy 4.31 y la versión que tienes instalada. No sería un "upgrade", sino una instalación independiente, no interferiría con lo que ya tienes en el disco, y así podrías probar si te funciona o no.

A propósito, ¿cómo tienes instalada la versión 2.13? ¿"Full" o "frugal"?
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 07 Apr 2010, 13:53    Post subject: mi puppy es full instalacion  

Hola,

mi instalacion del puppy 2.13 es full instalacion.
Ok, ahora hare lo que mencionas y probare....dentro de un rato te respondere si andubo.

Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 07 Apr 2010, 15:27    Post subject: loading ´pup-431.sfs´ demasiada espera :s  

Hola,

hice todo al pie de la letra pero....

Quote:
loading the ´pup-431.sfs´ main file... forced copying to ram


mucha espera, debo esperar mas que cuando pongo el live-cd.
Por que sera que tarda tanto? sera por que tengo 128ram?... Me gano la impaciensia y ando de nuevo en puppy 2.13.

Luego vere si termina de cargar o si hay que ponerle algun parametro adicional para que no tarde tanto en cargar en la ram.

La verdad, no se como proseguir. tal vez queme la iso que me recomendaron.

Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
renuvio

Joined: 16 Jul 2008
Posts: 29

PostPosted: Wed 07 Apr 2010, 18:57    Post subject:  

Podrías también probar la versión 214x, que es una actualización de la serie 2 de Puppy, en el foro hay una entrada dedicada a ese "puplet", que quizás está más acorde con el hardware que tienes.

Suerte.
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 07 Apr 2010, 22:48    Post subject: gracias a todos  

Bueno,

gracias a todos por responder mis inquietudes.

PD: como pongo mi firma en el foro?
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Fri 16 Apr 2010, 13:17    Post subject: instalacion frugal en grub2  

Hola,

ahora ando en un pc mas moderno, y tiene ubuntu karmic.
con el grub1 fue sencillo, pero ahora con grub2 me lie bastante.

Como puedo hacer para meter puppy 4.3.1 como otro s.o en un pc que tiene ubuntu karmic con grub2?


Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
Joaquin


Joined: 16 Apr 2010
Posts: 11

PostPosted: Fri 16 Apr 2010, 14:30    Post subject:  

Y, haces una partición para puppy, instalas y este reemplazará el grub, no creo que haya problema detectando a Ubuntu.
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Fri 16 Apr 2010, 14:34    Post subject: dual boot ubuntu karmic - puppy instalacion frugal  

Hola, buscando dias he encontrado la solucion; en el chat irc.irc-hispano.org canal #ubuntu

estos pacos se hicieron desde un pc con ubuntu karmic, para oder hacer funcionar ubuntu karmic koala y puppy linux 4.3.1 instalacion frugal



tienes que añadir una entrada al sistema operativo q quieras añadir al grub en el archivo /etc/grub.d/40_custom




Code:
#!/bin/sh
exec tail -n +3 $0
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.

menuentry "Puppy Linux 4.3.1 Frugal" {
          insmod hfsplus
          set root=(hd0,1)
          linux /puppy431/vmlinuz pmedia=atahd
          initrd /puppy431/initrd.gz
}


la entrada seria

Code:
menuentry "Puppy Linux 4.3.1 Frugal" {
          insmod hfsplus
          set root=(hd0,1)
          linux /puppy431/vmlinuz pmedia=atahd
          initrd /puppy431/initrd.gz
}




despues de modificar el custom haz un $ sudo update-grub2

esto ara que la nueva entrada sea guardada en /boot/grub/grub.cfg

4º para ver el menu del grub hay que editar el en el archivo /etc/default/grub asegurate de q la linea GRUB_HIDDEN_TIMEOUT= tiene un # delante
luego sudo update-grub

eso esto Very Happy gracias a fosco_ por los datos.
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0477s ][ Queries: 11 (0.0045s) ][ GZIP on ]